[package]
name = "stm32f1xx-futures"
version = "0.1.0"
authors = ["Josh Robson Chase <josh@robsonchase.com>"]
license = "MIT/Apache-2.0"
edition = "2018"

[dependencies]
nb = "0.1.2"
cortex-m-rtfm = "0.5.3"
void = { version = "1.0.2", default-features = false }
cortex-m = "0.6.3"

[dependencies.futures-intrusive]
version = "0.3.1"
default-features = false

[dependencies.embrio]
git = "https://github.com/Nemo157/embrio-rs"

[dependencies.futures]
version = "0.3.5"
default-features = false

[dependencies.futures-util]
version = "0.3.5"
default-features = false

[dependencies.stm32f1xx-hal]
version = "0.6.1"
features = ["rt"]

[dependencies.embedded-hal]
features = ["unproven"]
version = "0.2.4"

[lib]
test = false
bench = false

[profile.dev]
codegen-units = 1

[profile.release]
debug = true
lto = true
codegen-units = 1

[features]
default = []
stm32f100 = ["stm32f1xx-hal/stm32f100"]
stm32f101 = ["stm32f1xx-hal/stm32f101"]
stm32f103 = ["stm32f1xx-hal/stm32f103"]
stm32-usbd = ["stm32f1xx-hal/stm32-usbd"]
